/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#ifndef SSTMAC_PROCESS_MPICORESTRATEGIES_H
#define SSTMAC_PROCESS_MPICORESTRATEGIES_H

#include <sstmac/process/mpistrategies.h>

#include <sstmac/process/mpicoresend.h>
#include <sstmac/process/mpicorersend.h>
#include <sstmac/process/mpicoressend.h>
#include <sstmac/process/mpicorerecv.h>
#include <sstmac/process/mpicorebarrier.h>
#include <sstmac/process/mpicorescan.h>
#include <sstmac/process/mpicorebcast.h>
#include <sstmac/process/mpicorescatter.h>
#include <sstmac/process/mpicoregather.h>
#include <sstmac/process/mpicorescatterv.h>
#include <sstmac/process/mpicoregatherv.h>
#include <sstmac/process/mpicorealltoall.h>
#include <sstmac/process/mpicorealltoallv.h>
#include <sstmac/process/mpicorereduce_scatter.h>
#include <sstmac/process/mpicoreallgather.h>
#include <sstmac/process/mpicoreallgatherv.h>
#include <sstmac/process/mpicorereduce.h>
#include <sstmac/process/mpicoreallreduce.h>

#endif // ! SSTMAC_PROCESS_MPICORESTRATEGIES_H
