/*
 *  This file is part of SST/macroscale:
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top
 *  SST/macroscale directory.
 */

#ifndef PROCESSOR_CONFIG_H_
#define PROCESSOR_CONFIG_H_



namespace sstmac
{




  class processor_config
  {
  public:

    enum PROC_MODELS {PROC_SIMPLE, PROC_INSTRUCTION};

    processor_config(PROC_MODELS ptype){proctype = ptype;}
    virtual
    ~processor_config();


    PROC_MODELS proctype;
  };

}
#endif /* PROCESSOR_CONFIG_H_ */
