/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#ifndef SSTMAC_PROCESSOR_INSTRUCTIONS_H
#define SSTMAC_PROCESSOR_INSTRUCTIONS_H

namespace sstmac {

  // This class used to serve a purpose...

  /**
   * Base class for processor model input
   */
  class instructions {

  public:

    enum INST_TYPE {I_TIME, I_DETAILED};

    instructions(INST_TYPE t){type = t;}

    virtual ~instructions() {}

    INST_TYPE type;

  };

} // end of namespace sstmac

#endif // ! SSTMAC_INSTRUCTIONS_H


