/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

%module sstmac_skeleton_mpi3d

%{
#include <sstmac/skeleton/mpi3d/mpi3d.h>
%}

#if SWIG_VERSION >= 0x020000
%shared_ptr(sstmac::mpi3d);
#else
SWIG_SHARED_PTR_DERIVED(mpi3dptr, sstmac::mpiapp, sstmac::mpi3d);
#endif

%import sstmac/swig/process/mpiapp.i
%import sstmac/swig/process/mpiapi.i

%include sstmac/skeleton/mpi3d/mpi3d.h

